/*
 * i2c.h - I2C library for avr-gcc for devices with TWI
 *
 * Copyright (C) 2014 Jason Milldrum <milldrum@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <util/twi.h>
#include <avr/power.h>
#include <avr/io.h>
#include <avr/sfr_defs.h>
//#include "bit_manipulations.h"
//#include  "pin_assignment.h"

//#include "global_def.h"

#ifndef I2C_H_
#define I2C_H_



#define F_I2C			400000UL // clock i2c
#define PSC_I2C			1UL		 // prescaler i2c
#define SET_TWBR		2UL//(F_CPU/F_I2C-16UL)/(PSC_I2C*2UL)
	// wieso passt die Formel nicht fr 400kHz??????




void i2c_init(void);
void i2c_start(uint8_t i2c_addr);
void i2c_stop(void);
void i2c_write(uint8_t data);




#ifdef I2C_READ_ACK_DEF
uint8_t i2c_read_ack(void);
#endif

#ifdef I2C_READ_NACK_DEF
uint8_t i2c_read_nack(void);
#endif

#ifdef I2C_STATUS_DEF
uint8_t i2c_status(void);
#endif


#endif /* I2C_H_ */
