/**************************************************************************************************
 *
 * Projekt:	Antennen Analysator - AAN1
 * Datei:	my_uart.h
 * Zweck:	Header für UART Treiber
 * Version:	V1.0
 * Datum:	06.09.2019
 * Autor:	Christian Lilienthal, DG3KCL
 *
 * Dieser Code ist unter Vorlage der folgenden Beschreibung erstellt wworden:
 * //https://www.mikrocontroller.net/articles/AVR-GCC-Tutorial/Der_UART
 *
 *
 * Testumgebung
 * Leiterplatte:	AAN1_V01R01
 * Prozessor:		ATMega328P
 * Display:			OLED 128x64 SH1106
 *
 * 
 * Copyright (C):	2019 Christian Lilienthal, dg3kcl@mail.de
 *
 * This file is part of AAN1 software.
 *
 * AAN1 software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * AAN1 software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Diese Datei ist Teil der AAN1 Software.
 *
 * AAN1 Software ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 *
 * AAN1 Software wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 *
 **************************************************************************************************/
 
/* UART */

void uartInitTx(void);
void uartInitTxRx(void);
void uartPutc(unsigned char c);
void uartPuts(char *s);
